$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.452-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.452-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'B29B4AF5CA6A87798AE85DEC5AACED093E21000EEEAB56D3CC0CF57E413329E3'
  checksumType = 'sha256'
  checksum64 = 'B29B4AF5CA6A87798AE85DEC5AACED093E21000EEEAB56D3CC0CF57E413329E3'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.452-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
